Subject: [webfinger] Webfinger and URI vs IRI

From: "Paul E. Jones" <[email-masked]>
Date: Mon, 22 Jul 2013 01:50:18 -0400

Folks,

The term URI is used almost exclusively in the WebFinger spec, with IRI
appearing only twice (outside of the reference).  This is because URI is
used in RFC 6415 almost exclusively.  However, RFC 5988 uses the term IRI in
most of the text.  That said, RFC 5988 also says things like the "target IRI
as a URI-Reference" ...

I feel like we have a terminology problem and it's not quite clear to me how
to fix it.  Should we change every instance of URI to IRI?  Should URI be
used in most places, with IRI discussed specifically somewhere?  Or is there
even a need to mention IRI given that IRIs can be converted to URIs?

I would really like to get this right, but it definitely does not look right
now with only one normative use of IRI in section 4.4.4.  Who can help me
with this?

Paul

---

From: Barry Leiba <[email-masked]>
Date: Mon, 22 Jul 2013 16:30:05 -0400

I believe WF should only use URIs.  I believe that IRIs are a presentation
layer thing.

Barry
On Jul 22, 2013 1:50 AM, "Paul E. Jones" <[email-masked]> wrote:

> _______________________________________________
> webfinger mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/webfinger
>

---

From: Mike Jones <[email-masked]>
Date: Mon, 22 Jul 2013 20:35:41 +0000

+1

From: [email-masked] [mailto:[email-masked]] On Behalf Of Barry Leiba
Sent: Monday, July 22, 2013 1:30 PM
To: Paul E. Jones
Cc: [email-masked]; Martin J. Dürst
Subject: Re: [webfinger] Webfinger and URI vs IRI

I believe WF should only use URIs.  I believe that IRIs are a presentation layer thing.

Barry
On Jul 22, 2013 1:50 AM, "Paul E. Jones" <[email-masked]<mailto:[email-masked]>> wrote:
Folks,

Paul

_______________________________________________
webfinger mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/webfinger

---

From: "Paul E. Jones" <[email-masked]>
Date: Mon, 22 Jul 2013 17:27:43 -0400

Barry,

The reason I raise this is that RFC 5988 refers to the target IRI (the
“href” in WebFinger link relation) and context IRI (the “subject” and
“aliases” in WebFinger).  Only ASCII is used in some protocols, so the
IRIs must be formatted as URIs.

However, JRD is JSON and, therefore, Unicode.  Thus, we could easily
accommodate links like this:

  {

    "rel" : "test2",

    "href" : "http://example.org/私の 文書.txt"

}

As opposed this form:

  {

    "rel" : "test2",

    "href" :
"http://example.org/%E7%A7%81%E3%81%AE%20%E6%96%87%E6%9B%B8.txt"

}

I have no strong preference, but the text did have IRI mentioned in one
place in the JRD spec section, but it was not consistent through the
document.  Everywhere else, we specified URI.

So, if IRIs are truly only for presentation, then the latter example above
should be what WF servers return.  The query target is always a
percent-encoded URI, so it’s a non-issue.

Paul

From: [email-masked]
[mailto:[email-masked]] On Behalf Of Barry Leiba
Sent: Monday, July 22, 2013 4:30 PM
To: Paul E. Jones
Cc: Martin J. Dürst; [email-masked]
Subject: Re: [webfinger] Webfinger and URI vs IRI

Barry

Folks,

Paul

---

From: Barry Leiba <[email-masked]>
Date: Mon, 22 Jul 2013 17:45:09 -0400

> percent-encoded URI, so it’s a non-issue.

Yes, that's exactly what I'm saying.

Barry
On Jul 22, 2013 5:27 PM, "Paul E. Jones" <[email-masked]> wrote:

> Barry,****
> ** **
> “aliases” in WebFinger).  Only ASCII is used in some protocols, so the IRIs
> must be formatted as URIs.****
>
> ** **
>
> accommodate links like this:****
>
> ** **
>
>   {****
>
>     "rel" : "test2",****
>
>     "href" : "http://example.org/私の 文書.txt"****
>
> }****
>
> ** **
>
> As opposed this form:****
>
> ** **
>
>   {****
>
>     "rel" : "test2",****
>
>     "href" : "
> http://example.org/%E7%A7%81%E3%81%AE%20%E6%96%87%E6%9B%B8.txt"****
>
> }****
>
> ** **
>
> document.  Everywhere else, we specified URI.****
>
> ** **
>
> percent-encoded URI, so it’s a non-issue.****
>
> ** **
>
> Paul****
>
> ** **
>
> *From:* [email-masked] [mailto:
> [email-masked]] *On Behalf Of *Barry Leiba
> *Sent:* Monday, July 22, 2013 4:30 PM
> *To:* Paul E. Jones
> *Cc:* Martin J. Dürst; [email-masked]
> *Subject:* Re: [webfinger] Webfinger and URI vs IRI****
>
> ** **
>
> layer thing.****
> Barry****
> On Jul 22, 2013 1:50 AM, "Paul E. Jones" <[email-masked]> wrote:***
> *
>
> Folks,
>
> https://www.ietf.org/mailman/listinfo/webfinger****
>

---

From: "Martin J. Dürst" <[email-masked]>
Date: Tue, 23 Jul 2013 17:58:45 +0900

Hello everybody,

> So, if IRIs are truly only for presentation,

That's clearly not the case. IRIs are used in HTML and other places.

> then the latter example above

For most of you, the differences between the above two examples are 
mostly irrelevant, and the second one may even look more familiar. But 
for those who can read the first one (Japanese, although the space is 
highly suspicious, because Japanese doesn't use spaces), the first one 
is very clear, whereas the second one is complete gibberish.

As a slightly related example, one could write
      "rel" : "test2"
as
      "rel" : "%74%65%73%74%32"
and it would provide about the same level of useless obscuration.

Please stop this "only for presentation" myth that essentially means 
that everything is legible as long as it's English.

Regards,   Martin.

---

From: Barry Leiba <[email-masked]>
Date: Tue, 23 Jul 2013 05:26:50 -0400

> Please stop this "only for presentation" myth that essentially means that
everything is legible as long as it's English.

It's not a "myth", Martin.  It's a question of who needs to read it.
 Humans don't have to read what's in the JSON.  The application that shows
a URI to a user will have to render it in a way the user can read it.
 That's where we get the presentation layer.

Barry

On Tuesday, July 23, 2013, "Martin J. Dürst" wrote:

>> "http://example.org/%E7%A7%81%**E3%81%AE%20%E6%96%87%E6%9B%B8.**txt<http://example.org/%E7%A7%81%E3%81%AE%20%E6%96%87%E6%9B%B8.txt>
>> "
>>
>> }
>>
>
> For most of you, the differences between the above two examples are mostly
> irrelevant, and the second one may even look more familiar. But for those
> who can read the first one (Japanese, although the space is highly
> suspicious, because Japanese doesn't use spaces), the first one is very
> clear, whereas the second one is complete gibberish.
>
> Please stop this "only for presentation" myth that essentially means that
> everything is legible as long as it's English.
>
> Regards,   Martin.
>